{% macro hceFooter(params) %}
  <footer role="contentinfo">
    <div class="nhsuk-footer
      {%- if params.classes %} {{ params.classes }}{% endif %}" id="nhsuk-footer"
      {%- for attribute, value in params.attributes %} {{ attribute }}="{{ value }}"{% endfor %}>
      <div class="nhsuk-width-container-fluid">
        {%- if params.links %}
        <h2 class="nhsuk-u-visually-hidden">Support links</h2>
        <ul class="nhsuk-footer__list {%- if params.list %} {{ params.list }}{% endif %}">
          {%- for item in params.links %}
          {% if item.newTab == true %}
            <li class="nhsuk-footer__list-item"><a class="nhsuk-footer__list-item-link" id="{{ item.ID }}" target="_blank" rel="noopener" href="{{ item.URL }}">{{ item.label }}<span class="nhsuk-u-visually-hidden"> (opens in new window)</span></a></li>
          {% else %}
            <li class="nhsuk-footer__list-item"><a class="nhsuk-footer__list-item-link" id="{{ item.ID }}" rel="noopener" href="{{ item.URL }}">{{ item.label }}<span class="nhsuk-u-visually-hidden"> (opens in same window)</span></a></li>
          {% endif%}
          {%- endfor %}
        </ul>
        {% endif %}
        <p class="nhsuk-footer__copyright">{% if params.copyright %}{{ params.copyright | safe }}{% else %}&copy; Crown copyright{% endif %}</p>
      </div>
    </div>
  </footer>
{% endmacro %}
